package com.automationanywhere.botcommand.samples.conditional;

import static com.automationanywhere.commandsdk.annotations.BotCommand.CommandType.Condition;

import com.automationanywhere.commandsdk.annotations.BotCommand;
import com.automationanywhere.commandsdk.annotations.CommandPkg;
import com.automationanywhere.commandsdk.annotations.ConditionTest;
import com.automationanywhere.commandsdk.annotations.Idx;
import com.automationanywhere.commandsdk.annotations.Pkg;
import com.automationanywhere.commandsdk.annotations.rules.NotEmpty;
import com.automationanywhere.commandsdk.model.AttributeType;

/**
 * 
 * This example shows how to create an Condition.
 * <p>
 * Here we are checking if the first number is greater than the other.
 * 
 * 
 * @author Raj Singh Sisodia
 *
 */
@BotCommand(commandType = Condition)
@CommandPkg(label = "Is greater condition", name = "IsGreater",
        description = "Checks if the given number is greater than the other.", node_label = "{{first}} > {{checkAgainst}} ")
public class IsGreater {
	
	// The test condition 
	@ConditionTest
	public Boolean checkGreater(
			@Idx(index = "1", type = AttributeType.NUMBER)
            @Pkg(label = "Number to check") 
			@NotEmpty 
            Double first, 
            
            @Idx(index = "2", type = AttributeType.NUMBER)
            @Pkg(label = "Number to compare against") 
			@NotEmpty 
            Double checkAgainst) {
		
		return first > checkAgainst;
	}

}
